## gcc-defaults-mipsen 1.181.1

=== debian/changelog ===
gcc-defaults-mipsen (1.181.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump GCC 8 version to 8.3.0.
  * Fix docdir symlinks for x32 cross compilers. Addresses: #915678.
  * Don't generate duplicate *-x86-64-linux-gnu packages in the control
    file. Addresses: #909128.
  * Stop building the mips64 package from the -ports source package.
  * Only build the mipsen packages on amd64, i386, x32. The depending
    packages are not yet built on other architectures.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Mar 2019 09:54:41 +0100

gcc-defaults-mipsen (1.181) unstable; urgency=medium

  * Init release based on gcc-default 1.180.

 -- YunQiang Su <syq@debian.org>  Sat, 02 Feb 2019 08:33:41 +0800

gcc-defaults (1.180) unstable; urgency=medium

  * Fix README.Bugs symlink. Closes: #909614.
  * Update VCS attributes in the control file.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 30 Oct 2018 14:14:38 +0100

gcc-defaults (1.179) unstable; urgency=medium

  * Bump GCC 8 version to 8.2.0.
  * Build arm64, armel and armhf cross compilers on ppc64el.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Aug 2018 12:44:12 +0200

gcc-defaults (1.178) unstable; urgency=medium

  * gcc, g++: Provide gcc-<triplet>, g++-<triplet>.
  * Bump standards version.
  * Fix typos in package descriptions. Closes: #902276.

 -- Matthias Klose <doko@debian.org>  Thu, 19 Jul 2018 10:22:48 +0200

gcc-defaults (1.177) experimental; urgency=medium

  * Default to GCC 8.
  * Tighten dependencies on the cpp, gcc, g++ and gfortran packages.
    Closes: #871630.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Apr 2018 09:48:54 +0200

gcc-defaults (1.176) unstable; urgency=medium

  * Build defaults packages for amd64 and i386.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Apr 2018 12:16:13 +0200

gcc-defaults (1.175) unstable; urgency=medium

  * Build defaults packages for riscv64 cross compilers.
  * Default gccgo to GCC 8.
  * Default gdc to GCC 8 (dh-dlang already makes this assumption).

 -- Matthias Klose <doko@debian.org>  Fri, 23 Mar 2018 11:44:07 +0800

gcc-defaults (1.174) unstable; urgency=medium

  * Bump GCC 7 version to 7.3.0.
  * Stop building the gcj packages. Closes: #892536.
  * Fix build with recent debhelper. Closes: #878338.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Mar 2018 15:22:14 +0100

gcc-defaults (1.173d1) unstable; urgency=medium

  * Really build powerpc64le cross packages on ppc64.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Sep 2017 14:38:42 +0200

gcc-defaults (1.173) unstable; urgency=medium

  * Bump GCC 7 version to 7.2.0.
  * Build powerpc64le cross packages on ppc64.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Sep 2017 12:36:40 +0200

gcc-defaults (1.172) unstable; urgency=medium

  * Build gccbrig on x86 linux architectures only.
  * Remove obsolete docdir symlink update (Sven Joachim). Closes: #867425.
  * Don't build gccgo packages on m68k.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Aug 2017 11:56:36 -0400

gcc-defaults (1.171) unstable; urgency=medium

  * Provide liblto_plugin.so symlink in /usr/lib/bfd-plugins. Closes: #865690.
  * dh_nativejava: Don't use deprecated POSIX::tmpnam(). Closes: #866315.
  * Fix README.Bugs symlinks for cross compilers. Closes: #858112.
  * Bump GCC 6 version to 6.4.0.

 -- Matthias Klose <doko@debian.org>  Thu, 03 Aug 2017 21:23:51 -0400

gcc-defaults (1.170) experimental; urgency=medium

  * Bump GCC 6 version to 6.3.0.
  * Bump GCC 7 version to 7.1.0.
  * Build gccbrig and gcc-offload-nvptx packages.

 -- Matthias Klose <doko@debian.org>  Tue, 21 Mar 2017 11:39:31 +0100

gcc-defaults (1.169) experimental; urgency=medium

  * gcc-multilib: Add conflicts with GCC 7 cross compiler packages.
  * Stop building powerpc cross packages from this source.
  * Build mips64el packages from this source.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Nov 2016 16:37:59 +0100

gcc-defaults (1.168d1) unstable; urgency=medium

  * Provide liblto_plugin.so symlink in /usr/lib/bfd-plugins. Closes: #865690.
  * dh_nativejava: Don't use deprecated POSIX::tmpnam(). Closes: #866315.
  * Fix README.Bugs symlinks for cross compilers. Closes: #858112.

 -- Matthias Klose <doko@debian.org>  Mon, 03 Jul 2017 17:21:10 +0200

gcc-defaults (1.168) experimental; urgency=medium

  * Default to GCC 7, except for gij/gcj.

 -- Matthias Klose <doko@debian.org>  Sat, 26 Nov 2016 17:14:56 +0100

gcc-defaults (1.164) unstable; urgency=medium

  * Bump GCC 6 version to 6.2.1.
  * Bump GCC 5 version to 5.4.1.
  * Rename libphobos-dev to libgphobos-dev.
  * Mark libgphobos-dev as Multi-Arch: same.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Nov 2016 14:33:45 +0100

gcc-defaults (1.166) unstable; urgency=medium

  * gcc: Install gcov-dump symlinks.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Mar 2017 15:08:32 +0100

gcc-defaults (1.165) unstable; urgency=medium

  * Bump GCC 6 version to 6.3.0.
  * Stop building powerpc cross packages from this source.
  * Build mips64el packages from this source.
  * gcc-multilib: Add conflicts with GCC 7 cross compiler packages.
  * Mark all cross compiler packages excluding the -multilib packages
    as M-A: foreign.
  * Re-add mips64el as a gcj architecture. Closes: #851391.
  * Bump libgcj-bc version number. Closes: #851775.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Jan 2017 17:11:46 +0100

gcc-defaults (1.163) unstable; urgency=medium

  * Default to GCC 6, upload to unstable.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Aug 2016 13:56:07 +0200

gcc-defaults (1.162) experimental; urgency=medium

  * Default the 32bit x86 architectures to i686, keep i585 symlinks.
    See https://lists.debian.org/debian-devel/2015/09/msg00589.html

 -- Matthias Klose <doko@debian.org>  Tue, 10 May 2016 21:00:28 +0200

gcc-defaults (1.161) experimental; urgency=medium

  * Bump libgcj soname to 17.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Jan 2016 12:35:14 +0100


