=== debian/control ===
Source: gcc-defaults-mipsen
Section: devel
Priority: standard
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>, YunQiang Su <syq@debian.org>
Standards-Version: 4.3.0
Build-Depends: m4, debhelper (>= 9),
  dpkg-dev (>= 1.17.11),
  gcc-8-base (>= 8.3.0-2~),
  lsb-release
#Build-Depends-Indep: ca-certificates, gcj-jdk, python
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc-defaults
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc-defaults.git
XS-Python-Version: all

Package: cpp-x86-64-linux-gnu
Priority: optional
Architecture: arm64 i386 ppc64el x32
Multi-Arch: foreign
Section: interpreters
Depends: cpp-${pv:cpp}-x86-64-linux-gnu ${reqv:cpp}, ${misc:Depends}
Suggests: cpp-doc
Description: GNU C preprocessor (cpp) for the amd64 architecture
 The GNU C preprocessor is a macro processor that is used automatically
 by the GNU C compiler to transform programs before actual compilation.
 .
 This package has been separated from gcc for the benefit of those who
 require the preprocessor but not the cross-compiler for amd64 architecture.
 .
 This is a dependency package providing the default GNU C preprocessor
 for the amd64 architecture.

Package: gcc-x86-64-linux-gnu
Priority: optional
Architecture: arm64 i386 ppc64el x32
Multi-Arch: foreign
Depends: cpp-x86-64-linux-gnu (= ${version:cpp}),
  gcc-${pv:gcc}-x86-64-linux-gnu ${reqv:gcc},
  ${misc:Depends}
Recommends: libc6-dev-amd64-cross | libc-dev-amd64-cross
Suggests: make, manpages-dev, autoconf, automake, libtool, flex, bison, gdb-x86-64-linux-gnu, gcc-doc
Description: GNU C compiler for the amd64 architecture
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 This is a dependency package providing the default GNU C cross-compiler
 for the amd64 architecture.

Package: g++-x86-64-linux-gnu
Priority: optional
Architecture: arm64 i386 ppc64el x32
Multi-Arch: foreign
Depends: cpp-x86-64-linux-gnu (= ${version:cpp}),
  gcc-x86-64-linux-gnu (= ${version:cpp}),
  g++-${pv:gpp}-x86-64-linux-gnu ${reqv:gpp},
  ${misc:Depends}
Description: GNU C++ compiler for the amd64 architecture
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 This is a dependency package providing the default GNU C++ cross-compiler
 for the amd64 architecture.

Package: gobjc-x86-64-linux-gnu
Priority: optional
Architecture: arm64 i386 ppc64el x32
Multi-Arch: foreign
Depends: cpp-x86-64-linux-gnu (>= ${version:cpp}),
  gcc-x86-64-linux-gnu (>= ${version:cpp}),
  gobjc-${pv:gobjc}-x86-64-linux-gnu ${reqv:gobjc},
  ${misc:Depends}
Description: GNU Objective-C compiler for the amd64 architecture
 This is the GNU Objective-C compiler, which compiles Objective-C on platforms
 supported by the gcc compiler. It uses the gcc backend to generate optimized
 code.
 .
 This is a dependency package providing the default GNU Objective-C
 cross-compiler for the amd64 architecture.

Package: gobjc++-x86-64-linux-gnu
Priority: optional
Architecture: arm64 i386 ppc64el x32
Multi-Arch: foreign
Depends: cpp-x86-64-linux-gnu (>= ${version:cpp}),
  gcc-x86-64-linux-gnu (>= ${version:cpp}),
  gobjc++-${pv:gobjcxx}-x86-64-linux-gnu ${reqv:gobjcxx},
  ${misc:Depends}
Recommends: g++-x86-64-linux-gnu (>= ${version:cpp}), gobjc-x86-64-linux-gnu (>= ${version:cpp})
Description: GNU Objective-C++ compiler for the amd64 architecture
 This is the GNU Objective-C++ compiler, which compiles
 Objective-C++ on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.
 .
 This is a dependency package providing the default GNU Objective-C++
 cross-compiler for the amd64 architecture.

Package: gfortran-x86-64-linux-gnu
Priority: optional
Architecture: arm64 i386 ppc64el x32
Multi-Arch: foreign
Depends: cpp-x86-64-linux-gnu (= ${version:cpp}),
  gcc-x86-64-linux-gnu (= ${version:gcc}),
  gfortran-${pv:gfort}-x86-64-linux-gnu ${reqv:gfort},
  ${misc:Depends}
Suggests: gfortran-doc
Description: GNU Fortran 95 compiler for the amd64 architecture
 This is the GNU Fortran 95 compiler, which compiles Fortran 95 on platforms
 supported by the gcc compiler. It uses the gcc backend to generate optimized
 code.
 .
 This is a dependency package providing the default GNU Fortran 95
 cross-compiler for the amd64 architecture.

Package: gccgo-x86-64-linux-gnu
Priority: optional
Architecture: arm64 i386 ppc64el x32
Multi-Arch: foreign
Depends: cpp-x86-64-linux-gnu (>= ${version:cpp}),
  g++-x86-64-linux-gnu (>= ${version:gcc}),
  gccgo-${pv:ggo}-x86-64-linux-gnu ${reqv:ggo},
  ${misc:Depends}
Suggests: gccgo-doc
Description: Go compiler (based on GCC) for the amd64 architecture
 This is the GNU Go compiler, which compiles Go on platforms supported by
 the gcc compiler. It uses the gcc backend to generate optimized code.
 .
 This is a dependency package providing the default GNU Go cross-compiler
 for the amd64 architecture.

#Package: gcj-x86-64-linux-gnu
#Priority: optional
#Architecture: arm64 i386 ppc64el x32
#Multi-Arch: foreign
#Depends: cpp-x86-64-linux-gnu (>= ${version:cpp}),
#  gcj-${pv:gcj}-x86-64-linux-gnu ${reqv:gcj},
#  ${misc:Depends}
#Description: GNU Java compiler (based on GCC) for the amd64 architecture
# This is the GNU Java compiler, which compiles java on platforms supported by
# the gcc compiler. It uses the gcc backend to generate optimized code.
# .
# This is a dependency package providing the default GNU Java cross-compiler
# for the amd64 architecture.

Package: gdc-x86-64-linux-gnu
Priority: optional
Architecture: arm64 i386 ppc64el x32
Multi-Arch: foreign
Depends: cpp-x86-64-linux-gnu (>= ${version:cpp}),
  gdc-${pv:gdc}-x86-64-linux-gnu ${reqv:gdc},
  ${misc:Depends}
Description: GNU D compiler (based on GCC) for the amd64 architecture
 This is the GNU D compiler, which compiles D on platforms supported by
 the gcc compiler. It uses the gcc backend to generate optimized code.
 .
 This is a dependency package providing the default GNU D cross-compiler
 for the amd64 architecture.

Package: gcc-multilib-x86-64-linux-gnu
Priority: optional
Architecture: arm64 i386 ppc64el x32
Depends: cpp-x86-64-linux-gnu (= ${version:cpp}),
  gcc-x86-64-linux-gnu (= ${version:gcc}),
  gcc-${pv:gcc}-multilib-x86-64-linux-gnu ${reqv:gcc},
  ${misc:Depends}
Recommends: libc6-dev-amd64-cross | libc-dev-amd64-cross
Suggests: make, manpages-dev, autoconf, automake, libtool, flex, bison, gdb-x86-64-linux-gnu, gcc-doc
Description: GNU C compiler for the amd64 architecture
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 This is a dependency package providing the default GNU C cross-compiler
 for the amd64 architecture.

Package: g++-multilib-x86-64-linux-gnu
Priority: optional
Architecture: arm64 i386 ppc64el x32
Depends: cpp-x86-64-linux-gnu (= ${version:cpp}),
  g++-x86-64-linux-gnu (= ${version:gpp}),
  gcc-multilib-x86-64-linux-gnu (= ${version:gcc}),
  g++-${pv:gpp}-multilib-x86-64-linux-gnu ${reqv:gpp},
  ${misc:Depends}
Description: GNU C++ compiler for the amd64 architecture
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 This is a dependency package providing the default GNU C++
 cross-compiler for the amd64 architecture.

Package: gobjc-multilib-x86-64-linux-gnu
Priority: optional
Architecture: arm64 i386 ppc64el x32
Depends: cpp-x86-64-linux-gnu (>= ${version:cpp}),
  gobjc-x86-64-linux-gnu (>= ${version:gobjc}),
  gcc-multilib-x86-64-linux-gnu (>= ${version:cpp}),
  gobjc-${pv:gobjc}-multilib-x86-64-linux-gnu ${reqv:gobjc},
  ${misc:Depends}
Description: GNU Objective-C compiler for the amd64 architecture
 This is the GNU Objective-C compiler, which compiles Objective-C on platforms
 supported by the gcc compiler. It uses the gcc backend to generate optimized
 code.
 .
 This is a dependency package providing the default GNU Objective-C
 cross-compiler for the amd64 architecture.

Package: gobjc++-multilib-x86-64-linux-gnu
Priority: optional
Architecture: arm64 i386 ppc64el x32
Depends: cpp-x86-64-linux-gnu (>= ${version:cpp}),
  gcc-multilib-x86-64-linux-gnu (>= ${version:cpp}),
  gobjc++-x86-64-linux-gnu (>= ${version:gobjcxx}),
  gobjc++-${pv:gobjcxx}-multilib-x86-64-linux-gnu ${reqv:gobjcxx},
  ${misc:Depends}
Recommends: g++-x86-64-linux-gnu (>= ${version:cpp}),
  gobjc-x86-64-linux-gnu (>= ${version:cpp})
Description: GNU Objective-C++ compiler for the amd64 architecture
 This is the GNU Objective-C++ compiler, which compiles
 Objective-C++ on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.
 .
 This is a dependency package providing the default GNU Objective-C++
 cross-compiler for the amd64 architecture.

Package: gfortran-multilib-x86-64-linux-gnu
Priority: optional
Architecture: arm64 i386 ppc64el x32
Depends: cpp-x86-64-linux-gnu (= ${version:cpp}),
  gcc-multilib-x86-64-linux-gnu (= ${version:gcc}),
  gfortran-x86-64-linux-gnu (= ${version:gfort}),
  gfortran-${pv:gfort}-multilib-x86-64-linux-gnu ${reqv:gfort},
  ${misc:Depends}
Suggests: gfortran-doc
Description: GNU Fortran 95 compiler for the amd64 architecture
 This is the GNU Fortran 95 compiler, which compiles Fortran 95 on platforms
 supported by the gcc compiler. It uses the gcc backend to generate optimized
 code.
 .
 This is a dependency package providing the default GNU Fortran 95
 cross-compiler for the amd64 architecture.

Package: gccgo-multilib-x86-64-linux-gnu
Priority: optional
Architecture: arm64 i386 ppc64el x32
Depends: cpp-x86-64-linux-gnu (>= ${version:cpp}),
  g++-multilib-x86-64-linux-gnu (>= ${version:gcc}),
  gccgo-x86-64-linux-gnu (>= ${version:ggo}),
  gccgo-${pv:ggo}-multilib-x86-64-linux-gnu ${reqv:ggo},
  ${misc:Depends}
Suggests: gccgo-doc
Description: Go compiler (based on GCC) for the amd64 architecture
 This is the GNU Go compiler, which compiles Go on platforms supported by
 the gcc compiler. It uses the gcc backend to generate optimized code.
 .
 This is a dependency package providing the default GNU Go cross-compiler
 for the amd64 architecture.

Package: gdc-multilib-x86-64-linux-gnu
Priority: optional
Architecture: arm64 i386 ppc64el x32
Depends: cpp-x86-64-linux-gnu (>= ${version:cpp}),
  gdc-${pv:gdc}-multilib-x86-64-linux-gnu ${reqv:gdc},
  gdc-x86-64-linux-gnu (>= ${version:gdc}),
  ${misc:Depends}
Description: GNU D compiler (based on GCC) for the amd64 architecture
 This is the GNU D compiler, which compiles D on platforms supported by
 the gcc compiler. It uses the gcc backend to generate optimized code.
 .
 This is a dependency package providing the default GNU D cross-compiler
 for the amd64 architecture.

Package: cpp-mips64-linux-gnuabi64
Priority: optional
Architecture: amd64 i386 x32
Multi-Arch: foreign
Section: interpreters
Depends: cpp-${pv:cpp}-mips64-linux-gnuabi64 ${reqv:cpp}, ${misc:Depends}
Suggests: cpp-doc
Description: GNU C preprocessor (cpp) for the mips64 architecture
 The GNU C preprocessor is a macro processor that is used automatically
 by the GNU C compiler to transform programs before actual compilation.
 .
 This package has been separated from gcc for the benefit of those who
 require the preprocessor but not the cross-compiler for mips64 architecture.
 .
 This is a dependency package providing the default GNU C preprocessor
 for the mips64 architecture.

Package: gcc-mips64-linux-gnuabi64
Priority: optional
Architecture: amd64 i386 x32
Multi-Arch: foreign
Depends: cpp-mips64-linux-gnuabi64 (= ${version:cpp}),
  gcc-${pv:gcc}-mips64-linux-gnuabi64 ${reqv:gcc},
  ${misc:Depends}
Recommends: libc6-dev-mips64-cross | libc-dev-mips64-cross
Suggests: make, manpages-dev, autoconf, automake, libtool, flex, bison, gdb-mips64-linux-gnuabi64, gcc-doc
Description: GNU C compiler for the mips64 architecture
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 This is a dependency package providing the default GNU C cross-compiler
 for the mips64 architecture.
