## gcc-defaults-mipsen 1.186.1

=== debian/changelog ===
gcc-defaults-mipsen (1.186.1) unstable; urgency=medium

  * Fix FTBFS on mips64el, which is marked has cross packages.

 -- YunQiang Su <syq@debian.org>  Wed, 16 Oct 2019 22:06:45 +0800

gcc-defaults-mipsen (1.186) unstable; urgency=medium

  * Rebase on gcc-defaults 1.186.
  * Build all mips* architectures from this packages.
  * Bump to gcc-9.

 -- YunQiang Su <syq@debian.org>  Tue, 15 Oct 2019 12:26:56 +0800
